onEvent("recipes", event => {
  event.remove({output: 'compactmachines:wall'})
  event.shaped('16x compactmachines:wall', [
    'E',
    'B'
  ], {
    E: 'thermal:emerald_dust',
    B: 'botania:elementium_block'
  })
  
  event.remove({output: 'compactmachines:personal_shrinking_device'})
  event.shaped('compactmachines:personal_shrinking_device', [
    ' G ',
    'EBE',
    ' H '
  ], {
    G: '#forge:glass_panes',
    E: 'minecraft:ender_eye',
    B: 'minecraft:book',
    H: 'immersiveengineering:ingot_hop_graphite'
  })
})